Hewlett-Packard OVPI helpmanager Servlet Remote Code Execution Vulnerability

2010-03-09T00:00:00
ID ZDI-10-026
Type zdi
Reporter Anonymous
Modified 2010-11-09T00:00:00

Description

This vulnerability allows remote attackers to execute arbitrary commands on vulnerable installations of Hewlett-Packard Performance Insight. Authentication is not required to exploit this vulnerability.

The specific flaw exists in the handling of requests to the helpmanager servlet running on the Performance Insight web server. Insufficient input validation and authentication allows for arbitrary JSP pages to be uploaded which can be leveraged to execute arbitrary OS commands. Exploitation of this vulnerability allows an attacker to gain control of the affected system under SYSTEM credentials.